cascading.flow.planner.rule

## Class RuleAssert

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<ElementGraph>
  - - cascading.flow.planner.rule.RuleAssert

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  BufferAfterEveryAssert, EveryAfterBufferAssert, LoneGroupAssert, MissingGroupAssert, SplitBeforeEveryAssert

    public class RuleAssert
    extends GraphAssert<ElementGraph>
    implements Rule

The RuleAssert class is responsible for asserting the structure of a element graph.

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.planner.iso.assertion.GraphAssert

`GraphAssert.AssertionType`

### Constructor Summary

Constructors
Constructor and Description
`RuleAssert(PlanPhase phase, RuleExpression ruleExpression, java.lang.String message)`
`RuleAssert(PlanPhase phase, RuleExpression ruleExpression, java.lang.String message, GraphAssert.AssertionType assertionType)`

### Method Summary

Methods
`java.lang.String` `getRuleName()`
`PlanPhase` `getRulePhase()`
`java.lang.String` `toString()`
`protected Transformed<ElementGraph>` `transform(PlannerContext plannerContext, ElementGraph graph)`

### Methods inherited from class cascading.flow.planner.iso.assertion.GraphAssert

`assertion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuleAssert

    public RuleAssert(PlanPhase phase,
              RuleExpression ruleExpression,
              java.lang.String message)

#### RuleAssert

    public RuleAssert(PlanPhase phase,
              RuleExpression ruleExpression,
              java.lang.String message,
              GraphAssert.AssertionType assertionType)

### Method Detail

#### getRulePhase

    public PlanPhase getRulePhase()

Specified by:
  `getRulePhase` in interface `Rule`

#### getRuleName

    public java.lang.String getRuleName()

Specified by:
  `getRuleName` in interface `Rule`

#### transform

    protected Transformed<ElementGraph> transform(PlannerContext plannerContext,
                                      ElementGraph graph)

Specified by:
  `transform` in class `GraphAssert<ElementGraph>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`